import { EN_AppEntities } from '@app_consts';
import { AppBaseEntity } from './generic/app.baseentity';

export class Subsidiary extends AppBaseEntity {
    typeName = EN_AppEntities.Subsidiary;

    subsidiaryId: number;
    clientId: number;
    name: string;
    subsidiaryCode: string;
    comment: string

    public get entityId() {
        return this.subsidiaryId;
    }
    public set entityId(value) {
        this.subsidiaryId = value;
    }
}